\documentclass{beamer}
\usetheme{Copenhagen}
\beamertemplatenavigationsymbolsempty
\newcommand\argum{conference} % defines the title style
\usepackage{uga-beamer-template}
\usepackage[utf8]{inputenc}
\usepackage[english]{babel}
\usepackage{amsmath}
\usepackage{url}
\usepackage{xcolor}
\usepackage{hyperref} % hyper references
\usefonttheme[onlymath]{serif} % article font style

\newtheorem{thm}{Theorem}[section]
\newtheorem{lem}[thm]{Lemma}

%Definitions
\DeclareMathOperator*{\argmin}{arg\,min}

%Figures Path
\graphicspath{{Figs/}}


%-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
%        BEAMER OPTIONS
%-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

%\setbeameroption{show only notes}
%\setbeameroption{show notes}
%-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=


% Title
\title{Spectral-spatial Classification From Multi-sensor Compressive Measurements Using Superpixels}
\subtitle{Taipei, Taiwan}
\author[carlosh93.github.io]{Carlos Hinojosa, Juan Marcos Ramirez, Henry Arguello}
\institute{ Universidad Industrial de Santander,\\ Department of Computer Science,\\ Bucaramanga, 680002, Colombia\\ \href{mailto:carlos.hinojosa@saber.uis.edu.co}{carlos.hinojosa@saber.uis.edu.co}}
\date{September 25, 2019}

\begin{document}
{
\setbeamertemplate{navigation symbols}{}{}
\setbeamertemplate{footline}{} 
\usebackgroundtemplate{\includegraphics[width=\paperwidth,height=\paperheight]{logos/background4.png}}
\begin{frame}
  \titlepage
\end{frame}
\note{Thank you xxx for the introduction. Good Morning everybody. This work was developed in the high dimensional signal processing reaseach group at Universidad Industrial de santander, Colombia under the supervision of my advisor Henry Arguello.}

%\begin{frame}{Table of Contents}
%\tableofcontents
%\end{frame}
%}
%\note{So this is the agenda, which is composed by the introduction to the addressed problem, the proposed method, simulations and results and finally the conclusion}
}
\addtocounter{framenumber}{-1}


\section{Introduction}
%These fusion methods merge features extracted from data
%captured by sensors that satisfy the Nyquist–Shannon sampling theorem. In particular, these sensors require a fixed
%sampling rate along the three dimensions, leading to a large
%amount of captured data and large acquisition times
%\begin{frame}{Spectral Imaging}
%	\centering
%	\includegraphics[width=0.87\textwidth]{SI_1.png}
%\end{frame}
%\note{Traditionally, RGB cameras try to imitate the human vision system and group all the information from visible light in only three channles or bands of information}

\begin{frame}{Spectral Imaging}
\centering
\includegraphics[width=0.87\textwidth]{SI_2.pdf}
\end{frame}
\note{RGB cameras imitate the human vision system and group all the visible light in only three bands of information as two-dimensional images. On the other hand, spectral images can be seen as a large set of two-dimensional images acquired in a range of multiple wavelengths. Each point in the spectral image is known as a spectral signature whose spectrum allows to characterize an object in a scene. Therefore, spectral signatures are really useful to classify different materials in a remote sensing image, for instance,  soil, vegetation, and water. }

\begin{frame}{Traditional Imaging Techniques}
	\centering
	\includegraphics[width=0.87\textwidth]{nyquist.pdf}
	\small
	\begin{itemize}
		\item Traditional spectral imaging techniques relies on Nyquist–Shannon sampling theorem.
		\item Require a fixed sampling rate along the three dimensions, leading to a \alert{large amount of captured data} and \alert{large acquisition times}.
	\end{itemize}
\end{frame}
\note{In general, traditional spectral imaging techniques perform a spatial or spectral scanning over all the scene or acquire all the scene by a single snapshot which requires a large sensor.

this techniques acquire large amount of data and the acquisition times are generally large.
 }

\begin{frame}{Imaging Sensors and Data Fusion}
	\begin{figure}[c]
		\includegraphics[width=\linewidth]{Figs/dataFusion.pdf}
	\end{figure}
\end{frame}
\note{Based on the acquired spectral and spatial resolution, spectral imaging sensors can be categorized in Hyperspectral and Multispectral. Hyperspectral sensors capture hundreds of spectral bands howevers its spatial resolution is often lower compared to that obtained with an Multispectral sensor which has low spectral resolution. Therefore to obtain a high spatial and spectral resolution image, a sensor data fusion technique is typically applied.}

\begin{frame}{Classification From Fused Data}
\small
\begin{figure}[c]
	\includegraphics[width=\linewidth]{Figs/intro6_1.pdf}
\end{figure}
	%problem -> a preprocessing step is required to reduce dimensionality
\end{frame}
\note{After Data fusion, spectral signatures are processed to detect and classify materials within the scene. for instance using a support vector machine classifier.}
\begin{frame}[noframenumbering]{Classification From Fused Data}
\small
\begin{figure}[c]
	\includegraphics[width=\linewidth]{Figs/intro6_2.pdf}
\end{figure}
%problem -> a preprocessing step is required to reduce dimensionality
\end{frame}
\note{However, typically many of the methods employ exclusively the spectrum of the pixel to determine its class belonging. and also use a dimensionality reduction technique such as PCA.}

%\begin{frame}{Compressive Spectral Imaging}
%	% simultaneously reduce dimensionality and sense but the reconstruction is costly (problem )
%	\begin{figure}[c]
%		\includegraphics[width=8cm]{Figs/CSI_0.pdf}
%	\end{figure}
%	\vspace{-0.2in}
%	\begin{itemize}
%		\small
%		\item Senses and simultaneously reduces the data dimension without any further processing step.
%		\item Capture less samples than traditional methods.
%		\item CSI can be viewed as a random projection: an effective dimensionality reduction technique.
%	\end{itemize}
%\end{frame}

\begin{frame}{Compressive Spectral Imaging}
\begin{figure}[c]
	\includegraphics[width=8cm]{Figs/CSI_1.pdf}
\end{figure}
\vspace{-0.05in}
\begin{itemize}
	\small
	\item Senses and simultaneously reduces the data dimension without any further processing step by capturing less samples.
	\item Assumes that $\mathbf{f}$ can be represented as a sparse vector $\boldsymbol{\theta}$ in some basis $\boldsymbol{\Psi}$, i.e., $\mathbf{f}=\boldsymbol{\Psi\theta}$.
	\item CSI projections can be written in matrix notation as
	\begin{equation*}
	\mathbf{y} = \mathbf{Hf}=\mathbf{H}\boldsymbol{\Psi\theta}
	\end{equation*}
\end{itemize}
\end{frame}
\note{Recently, a new sensing technique known as compressive spectral imaging allows to sense and simultaneously compress or reduce the data dimensionality without any further step. This technique captures significantly less samples than traditional methods and can be viewed as a random projection which is an effective dimensionality reduction techinque. CSI assumes that f can be represented as a sparse vector (theta) in some basis Psi. Then the acquisition process of an spectral scene with CSI can be expressed as}


\begin{frame}{Compressive Spectral Imaging}
	\small
	\begin{figure}[c]
		\includegraphics[width=8cm]{Figs/CSI_2.pdf}
	\end{figure}
	\vspace{-0.1in}
	\begin{itemize}
		\item CSI recovery consists of finding a sparse approximation $\boldsymbol{\hat{\theta}}$ by solving
		\vspace{-0.07in}
		\begin{equation*}
		\vspace{-0.1in}
		\boldsymbol{\hat{\theta}} = \argmin_{\boldsymbol{\theta}} \|\mathbf{y}-\mathbf{H}\boldsymbol{\Psi\theta}\|_2^2 + \tau \|\boldsymbol{\theta}\|_1
		\end{equation*}
		\vspace{-0.1in}
		\item Computationally expensive optimization problem.
		\item GPSR\footnotemark algorithm computes $O(kM^4N^4L)$ operations.
	\end{itemize}
\footnotetext[1]{\tiny M. Figueiredo, R. Nowak, \& S. Wright. Gradient Projection for Sparse Reconstruction: Application to compressed sensing and other inverse problems. {\em IEEE Journal of Selected Topics in Signal Processing}.}

\end{frame}
\note{Once acquired the compressed measurements, it is necessary to perform the full scene recovery to perform any signal processing task. CSI recovery consists of finding a sparse approximation by solving this computationally expensive optimization problem. For Instance, the Gradient Projection for Sparse reconstrction algorithm computes this amount of operations to recover the spectral image where M,N and L are the dimensions of the spectral scene. }

{
	\usebackgroundtemplate{%
		\vbox to \paperheight{\vfil\hbox to \paperwidth{\hfil\includegraphics[width=0.98\paperwidth]{Figs/intuitApproach.pdf}\hfil}\vfil}
	}
	\begin{frame}{An Intuitive approach to CSI Classification}
	\footnotetext[1]{\tiny Q. Wei, J. Bioucas-Dias, N. Dobigeon, \& J. Tourneret. Hyperspectral and Multispectral Image Fusion Based on a Sparse Representation. IEEE Transactions on Geoscience and Remote Sensing, 2015.}
	\end{frame}
}
\note{Then an intuitive approach to perform classification using multi sensor compressed measurements will involves three stages. First the compressed measurements acquisition from a Multispectral and hyperspectral sensors, second the signal reconstruction step which is computationally expensive and finally a fusion technique, like the presented in this work, following by the classification step.}

{
	\usebackgroundtemplate{%
		\vbox to \paperheight{\vfil\hbox to \paperwidth{\hfil\includegraphics[width=0.98\paperwidth]{Figs/intuitApproach_remove.pdf}\hfil}\vfil}
	}
	\begin{frame}[noframenumbering]{An Intuitive approach to CSI Classification}
	\end{frame}
}
\note{However, the reconstruction step is not strictly necessary to perform classification on the compressed measurements}


{
	\usebackgroundtemplate{%
		\vbox to \paperheight{\vfil\hbox to \paperwidth{\hfil\includegraphics[width=0.98\paperwidth]{Figs/algFlow.pdf}\hfil}\vfil}
	}
	\begin{frame}{Proposed Method for CSI Classification}
	\end{frame}
}
\note{ Indeed, the aim of this work is to extract features and perform the spectral image classification directly from multi-sensor compressive measurements without requiring to recover the whole data cube, thus, the CSI reconstruction phase is completely avoided. In general, we extract spatial and spectral features from the multispectral and hyperspectral compressed measurements, respectively. Then we stack those features before perform the classification step.}

\section{Proposed Method}

\subsection{Compressive Measurement Acquisition}
\begin{frame}{Multi-sensor Model}
\vspace{0.2in}
\centerline{\includegraphics[width=1.1\linewidth]{Figs/formulation.pdf}}
\end{frame}
\note{This is the general notation we use where the subindex h and m denotes hiperspectral and multispectral data and we denote the spectral image in matrix form where each row corresponds to a spectral band and each column to a spectral signature. Then the spatial and spectral degraded versions can be obtained in this manner where Dm and Dh are the spectral and spatial downsampling matrices.}

\begin{frame}{Sensing Scheme - 3D CASSI$^1$}
\centering
\includegraphics[width=0.9\textwidth]{CSI_new.pdf}
\footnotetext[1]{\tiny X. Cao, T. Yue, X. Lin, S. Lin, X. Yuan, Q. Dai, \& D. J. Brady. \em{Computational snapshot multispectral cameras: Toward dynamic capture of the spectral world}. IEEE Signal Processing Magazine, 33(5), 95-108.}
\end{frame}
\note{
To obtain the compressed data we use the 3D CASSI sensing scheme where a spectral data cube is first encoded by a 3D array of coding patterns and then is spectral-wise integrated in the sensor. Each spatial location corresponds to an optical filter wich only allows to pass some wavelengths. In this work we use non-overlapping optical filters. This figure is a slice of the 3D coding pattern where the black elements block the light while the white elements allow the light to pass through.
}

\begin{frame}{Sensing Scheme - Matrix Form}
\small
\begin{itemize}
	\item The number of measurement shots is assumed to be equal to the number of coding patterns.
	\item The CSI sensing scheme can be rewritten in a random projection scheme as
\end{itemize}
\centering

\vspace{-0.1in}
\includegraphics[width=0.8\linewidth]{Figs/CSI2.pdf}
\end{frame}
\note{Assuming that the number of measurements shots is equal to the number of coding patterns the sensing scheme can be  rewritten in a random projection scene as ... where Phi is the codding pattern matrix where each row contains an non-overlapping optical filters.}

\subsection{Feature Extraction}
\begin{frame}{HS feature extraction}
\small
\begin{columns}
	\begin{column}{0.5\columnwidth}
		\centering
		
		\vspace{0.1in}
		\hspace{0.3in}
		\includegraphics[width=0.72\linewidth]{Figs/hs_features.pdf}
	\end{column}
	\begin{column}{0.6\columnwidth}
		\begin{itemize}
			\item CSI hyperspectral measurements\\
			\begin{equation*}
			\mathbf{Y_h}=\boldsymbol{\Phi}\mathbf{_hF_h},
			\end{equation*}
			where $\boldsymbol{\Phi}_{\mathbf{h}} \in \mathbb{R}^{S_h\times L}$ is the coding pattern matrix and $S_h$ is the number of measurement shots acquired with the HS CSI sensor.
			\item Obtain the feature matrix $\boldsymbol{\Omega}_{\mathbf{h}}$ from the extrapolation process expressed as
			\begin{equation*}
			\boldsymbol{\omega}_{\mathbf{h}}^j=\mathbf{y_h}^{\left(\lfloor \frac{j'}{p}\rfloor + \frac{M}{p}\left[ \lfloor\frac{j'}{M}\rfloor + \lfloor\frac{j'}{Mp}\rfloor \right]\right)},
			\label{eq:Omegah}
			\end{equation*}
			where $\boldsymbol{\omega}_{\mathbf{h}}^j$ is the $j$-th column of $\boldsymbol{\Omega}_{\mathbf{h}}$; $j$ and $j'$ are the column indexes of $\boldsymbol{\Omega}_{\mathbf{h}}$ and $\mathbf{Y_h}$, respectively.
		\end{itemize}
		
	\end{column}
\end{columns}
\end{frame}
\note{To obtain the features from the hyperspectral sensor we first acquire the compressed measurements which we express by this notation where s denotes the snapshots. Then the feature matrix is obtained from an extrapolation process applied over the columns of this matrix (Yh). Here j denotes the j column of the matrices. In general, Such extrapolation consists of resizing the measurements to has the same spatial dimension as the multispectral image by replicating the neighboring pixels and therefore the compressed spectral information.}

\begin{frame}{MS feature extraction}
\small
\vspace{-0.1in}
\begin{columns}
\begin{column}{0.5\columnwidth}
	\centering
	\vspace{-0.15in}
	\includegraphics[width=0.5\linewidth]{Figs/ms_features.pdf}
\end{column}
\begin{column}{0.6\columnwidth}
	\small
	\begin{itemize}
		\item CSI multispectral measurements\\
		\begin{equation*}
		\mathbf{Y_m}=\boldsymbol{\Phi}\mathbf{_mF_m},
		\end{equation*}
		where $\boldsymbol{\Phi}_{\mathbf{m}} \in \mathbb{R}^{S_m\times L}$ is the coding pattern matrix and $S_m$ is the number of measurement shots acquired with the MS CSI sensor.
		\item Obtain the segmentation map by applying the SLIC\footnotemark algorithm on the MS compressed measurements.
		\item Using the segmentation map, the feature matrix $\boldsymbol{\Omega}_{\mathbf{m}}$ is obtained as follows
		\begin{equation*}
		\boldsymbol{\omega}_\mathbf{m}^{\mathbf{p}^e} = \frac{\sum_{l=0}^{n_e-1} \mathbf{Y_m}^{\left(\mathbf{p}^e\right)_l}}{n_e}.
		\label{eq:ms_features}
		\end{equation*}
		%where N_seg is the number of segments generated by the superpixel algorithm, (p^e)_l denotes the l-th entry of the p^e vector and w_m^{p^e} represents the columns in omega_m indexed by the vector p^e
	\end{itemize}
\end{column}
\end{columns}
\vspace{0.1in}
\footnotetext[1]{\tiny R Achanta, A. Shaji, K. Smith, A. Lucchi, P. Fua \& S. Süsstrunk. \em{SLIC superpixels compared to state-of-the-art superpixel methods}. IEEE transactions on pattern analysis and machine intelligence, 2012.}
\end{frame}
\note{On the other hand, to obtain the spatial features from the multispectral image, we first obtain the compressed measurements. Then we apply a segmentation algorithm on the measurements to group very similar spatial features. In this work, we use the Simple Linear Iterative Clustering or SLIC algorithm to group the spatial features in superpixels. Finally, we use the obtained segmentation map to form the feature matrix, where each column corresponds to the average of pixels within a specific superpixel.}

{
	\usebackgroundtemplate{%
		\vbox to \paperheight{\vfil\hbox to \paperwidth{\hfil\includegraphics[width=0.98\paperwidth]{Figs/algFlow2.pdf}\hfil}\vfil}
	}
	\begin{frame}{Feature Stacking}
	\end{frame}
}
\note{Once obtained the two feature matrices, we stack them on a single matrix and the columns of this matrix are used to train a support vector machine classifier to perform the spectral pixels classification.}


\section{Simulations and Results}
\begin{frame}{Simulations and Results}
\small
	\centering
	\textcolor{ugared}{\textbf{Pavia University Dataset}}
	\includegraphics[width=\linewidth]{pavia_dataset.pdf}
	\begin{columns}
		\begin{column}{0.5\columnwidth}
			\begin{itemize}
				\item The presented results are the average of 10 trials.
				\item Training rate: select 10\% of the pixels from each class.
			\end{itemize}
		\end{column}
		\begin{column}{0.5\columnwidth}
			\begin{itemize}
				\item CSI compression ratio:
				\vspace{-0.1in}
				\begin{equation*}
				\vspace{-0.1in}
				\rho = \frac{S_h+S_m}{L},
				\end{equation*}
				in the experiments we set \alert{$\rho = 25\%.$}
			\end{itemize}
		\end{column}
	\end{columns}
\end{frame}
\note{We evaluate the proposed method on two datasets. The first dataset is the Pavia University. The presented results are the average of 10 trials. The compression ratio of the 3D cassi sensing scheme is defined by this expression were Sh and sm represents the number of shots and we set a compresion ratio of 25\% for all the experiments. \textbf{That means we classify the full data using only the 25\% of the data and without reconstruction}.}

\begin{frame}{Pavia University}
\centerline{
\includegraphics[width=0.7\linewidth]{pavia_Nseg.pdf}}
The number of segments is fixed to \alert{$N_{seg} = 10$} for the subsequent experiments on the Pavia University dataset.
\end{frame}
\note{In the first experiment, the number of superpixels is varied in order to analyze the impact of the proposed technique in the overall accuracy (OA). As it can be observed, as the number of desired segments increases the overall accuracy decays exponentially, as depicted with the fitted curve in red. It can be seen from the figure	that the incorporation of spatial neighboring information boost the classification accuracy up to 3\% in OA, when the chosen number of superpixels is approximately the number of classes within the spectral scene. After this experiment, the number of segments was fixed to ..}

\begin{frame}{Pavia University}
\vspace{0.1in}
\centerline{
	\includegraphics[width=0.7\linewidth]{pavia_SNR.pdf}}
\vspace{-0.1in}
\begin{equation*}
	\mathbf{Y}= \boldsymbol{\Phi}\mathbf{F}+\mathbf{\Sigma},
\end{equation*}
where $\boldsymbol{\Sigma} \sim N(0,\sigma^2)$ represents the noise of the system.
\end{frame}
\note{In the next experiment we test how the proposed method behaves when the compressed measurements are contaminated with noise. As observed, the proposed method always outperforms the intuitive approach of reconstruction and fusion before classify.}

\begin{frame}{Pavia University}
\centering
\includegraphics[width=0.79\linewidth]{VResults_PA2.pdf}
\footnotetext[1]{\tiny J. Hahn, S. Rosenkranz, \& A. M. Zoubir. Adaptive Compressed Classification for Hyperspectral Imagery. {\em IEEE International Conference on Acoustics, Speech and Signal Processing (ICASSP). pp. 1020-1024. 2014.}} 
\end{frame}
\note{This figure show the classification maps obtained when the support vector machine classifier is applied on the original or full spectral image, a reconstructed and fused spectrtal image from compressive measurements, the extracted features from noiseless and noisy compressed measurements and the obtained results with the Adaptive Compressed Classification Framework.}
\begin{frame}{Pavia University}
\centering
\includegraphics[width=0.9\linewidth]{table1.pdf}
\end{frame}
\note{This table presents the quantitative results related to the previous visual maps. The used accuracy metrics were Producers accuracy, overrall accuracy average accuracy and kappa coefficients. Form Table 1, it can be clearly observed tha the proposed classification approach provide comparable results to apply the method directly on the original and reconstructed spectral data cube. The results obtained with the noiseless approach outperforms the other results. This is because the random projection remove noise from the measurements as reported in some works. Finally as  observed, the proposed method outperforms the ACC method in both, noisy and noiseless case.}

%As observed, the results show that when no noise is assumed, the achieved classification accuracy outperforms the results obtained with the full spectral data cube. As reported in some works, random projections are not sensitive to impulse noise thus can be used as a noise reduction method [27]. In other words, the achieved results when using noise-free compressive measurements are due to the random projection, described in Eq. (2), removes noise from the acquired measurements.

\begin{frame}{Salinas Valley}
\centering
\textcolor{ugared}{\textbf{Salinas Valley Dataset}}
\includegraphics[width=0.8\linewidth]{salinas_visualR.pdf}
\end{frame}
\note{The second Image is the salinas valley. This image also shows the visual results obtained with all the methods. }

\begin{frame}{Salinas Valley}
\centering
\includegraphics[width=0.8\linewidth]{salinas_cratio.pdf}
\end{frame}
\note{This figure shows the compression ratio vs the overall accuracy. In the previous image we only use the 25 percent of data. This figure shows that there is not a significant increment in the overall accuracy when increasing the compression ratio. 

there are not new relevant features when increasing the compression ratio which may boost the classification.

increasing the compresion ratio means increasing the number of shots and this implies that the data redundancy also increase.
}
\section{Conclusion}
\begin{frame}{Conclusions}
\small
\vspace{-0.1in}
\begin{itemize}
	\item The proposed method incorporates spatial neighboring information by using the superpixel technique.
	\item Features are extracted from the HS CSI measures using an extrapolation procedure.
	\item In general, the results show that performing the classification directly with the compressive measurements provides similar accuracy results.
	\item A maximum difference of just $3\%$ in terms of OA was observed when comparing the classification results obtained by the full 3D data with those achieved using the CSI data fusion measurements.
\end{itemize}
\centering
\includegraphics[width=\linewidth]{Figs/VResults_PA_only_visualR.pdf}
\end{frame}
\note{}


%\begin{frame}{References}
%\bibliographystyle{IEEEtran}
%\bibliography{bibfile}
%\end{frame}

{
\setbeamertemplate{navigation symbols}{}{}
\setbeamertemplate{footline}{} 
\usebackgroundtemplate{\includegraphics[width=\paperwidth,height=\paperheight]{logos/background4.png}}
\begin{frame}[noframenumbering]
\centering
\vspace{-0.1in}
\includegraphics[width=0.7\linewidth]{Figs/thanks.pdf}
\end{frame}
}

{
\setbeamertemplate{navigation symbols}{}{}
\setbeamertemplate{footline}{} 
\setbeamercolor{background canvas}{bg=ugared}
\begin{frame}[noframenumbering]
\centering
\vspace{0.2in}
\vfill\usebeamerfont{section title}\textcolor{white}{Questions?}\vfill
\end{frame}
}


\appendix
%\begingroup
%\setbeamercolor{background canvas}{bg=ugared}
%\begin{frame}[plain]
%\centering
%\vfill\usebeamerfont{section title}\textcolor{white}{Questions?}\vfill
%\end{frame}
%\endgroup


\begin{frame}[fragile,noframenumbering]{Measurements Rearrangement}
\vspace{0.2in}
\centerline{\includegraphics[width=8cm]{Figs/ordenamiento_2.pdf}}
\small
Rearrangement of the matrix $\mathbf{Y}$ such that the  $s$-th row contains the compressed measurements acquired with the $s$-th coding pattern $\boldsymbol{\phi}_s$. In this figure, colors represent a specific codification, e.g, red pixels denotes the compressed measurements acquired with the $\boldsymbol{\phi}_0$ coding pattern.
\end{frame}

\begin{frame}[fragile,noframenumbering]{More coding patterns than measurement shots}
\vspace{0.2in}
\centerline{\includegraphics[width=9cm]{Figs/SlessP.pdf}}
\small
\vspace{-0.1in}
\textcolor{red}{\textbf{Ideas}}
\vspace{-0.15in}
\begin{itemize}
\item Replace the missplaced measurement with the most correlated one.
\vspace{-0.05in}
\item Put 0 and use matrix completion.
\end{itemize}
\end{frame}

\begin{frame}[fragile,noframenumbering]{Salinas Valley}
	\centering
	\includegraphics[width=0.8\linewidth]{salinas_training.pdf}
\end{frame}

\begin{frame}[fragile,noframenumbering]{SLIC algorithm}
\small
\begin{itemize}
\item Algorithm works in the 5-D [$labxy$] space, where $[lab]$ is the pixel color vector in CIELAB color space, and $xy$ is the pixel position.
\item Given $K$ desired equally-sized superpixels. The approximate size of each superpixel is therefore $N/K$pixels. Then, there would be a superpixel center at every grid interval $S=\sqrt{N/K}$.
\item The algorithm choose $K$ superpixel cluster centers $C_k=[l_k,a_k,b_k,x_k,y_k]^T$ with $k=[1,K]$ at regular grid intervals $S$. The search are would be $2S\times 2S$.
\item Distance measure $D_s$ defined as
\begin{align*}
d_{lab}&=\sqrt{(l_k-l_i)^2+(a_k-a_i)^2+(b_k-b_i)^2}\\
d_{xy}&=\sqrt{(x_k-x_i)^2+(y_k-y_i)^2}\\
D_s &=d_{lab}+\frac{m}{S}d_{xy}
\end{align*}
$m$ controls the compactness of a superpixel. It is usually chosen as $m=10$.
\end{itemize}
\end{frame}

\begin{frame}[fragile,noframenumbering]{SLIC algorithm}
\small
\begin{itemize}
\item Image gradients are computed as:
\begin{equation*}
G(x,y)=\|\mathbf{I}(x+1,y)-\mathbf{I}(x-1,y)\|^2+\|\mathbf{I}(x,y+1)-\mathbf{I}(x,y-1)\|^2,
\end{equation*}
where $\mathbf{I}(x,y)$ is the $lab$ vector corresponding to the pixel at position $(x,y)$, and $\|\cdot\|$ is the $L_2$ norm.
\end{itemize}
\begin{figure}[c]
\includegraphics[width=\linewidth]{Figs/SLIC.pdf}
\end{figure}
\end{frame}

\begin{frame}[fragile,noframenumbering]{SLIC complexity}
\small
The time complexity for the classical \textit{k-means} algorithm is $O(NKI)$ where $N$ is the number of data points (pixels in the image), $K$ is the number of clusters, and $I$ is the number of iterations required for convergence.\\
The complexity of SLIC algorithm is $O(N)$, where $N$ is the total number of pixels, since it needs to compute distances from any point to no more than eight cluster centers and the number of iterations is constant.
\end{frame}

\begin{frame}[fragile,noframenumbering]{Superpixels to extract MS compressed features}
\small
\begin{itemize}
\item Create the segmentation map using SLIC algorithm.
\item Obtain all the vectors $\mathbf{p}^e$ containing the indexes of all pixels belonging to the superpixel $e$.
\item The columns of the MS feature matrix $\boldsymbol{\Omega}_{\mathbf{m}}$ are created as
\begin{equation*}
\boldsymbol{\omega}_\mathbf{m}^{\mathbf{p}^e} = \frac{\sum_{l=0}^{n_e-1} \mathbf{Y_m}^{\left(\mathbf{p}^e\right)_l}}{n_e},
\end{equation*}
where $N_{seg}$ is the number of segments generated by the superpixel algorithm, $(\mathbf{p}^e)_l$ denotes the $l$-th entry of the $\mathbf{p}^e$ vector and $\boldsymbol{\omega}_{\mathbf{m}}^{\mathbf{p}^e}$ represents the columns in $\boldsymbol{\Omega}_{\mathbf{m}}$ indexed by the vector $\mathbf{p}^e$.
\item Note that the above equation simply replace all vectors in a segment $e$ by its mean spectral pixel. This procedure incorporates the spatial neighboring information of the superpixel in the classification method.
\end{itemize}
\end{frame}

\begin{frame}[fragile,noframenumbering]{Downsampling matrices}
\begin{figure}[c]
\includegraphics[width=\linewidth]{Figs/downsampling.pdf}
\end{figure}
\end{frame}

\begin{frame}[fragile,noframenumbering]{Accuracy Metrics}
\centering
\includegraphics[width=0.6\linewidth]{Figs/error-matrix.png}
\footnotesize
\begin{itemize}
	\item \textbf{Overall Accuracy} = \#corrected classified site/Total number of reference site = $21+31+22/95=77.9\%$.
	\item \textbf{Average Accuracy} = is the average of each accuracy per class. sum of accuracy for each class predicted/\# of classes
	\item \textbf{Producer's Accuracy} = correctly classified reference sites/total \# of reference site. For instance (Water): $21/33=64\%$.
	\item \textbf{Kappa Coefficient}: essentially evaluate how well the classification performed as compared to just randomly assigning values, i.e. did the classification do better than random. 
\end{itemize}
%\url{http://gis.humboldt.edu/OLM/Courses/GSP_216_Online/lesson6-2/metrics.html}\\[0.2in]

\end{frame}


\end{document}

%backup slides: laboratory, metrics,

%\begin{frame}{Enumerate}
%\begin{enumerate}
%	\item Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua \cite{Feofanov:2019}. 
%	\begin{itemize}
%		\item Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.
%		\begin{itemize}
%			\item Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. 
%		\end{itemize}
%	\end{itemize}
%	\item Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
%\end{enumerate}
%\end{frame}
%
%\begin{frame}{Itemize}
%\begin{itemize}
%\item Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua \cite{Feofanov:2019}. 
%\begin{itemize}
%	\item Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.
%	\begin{itemize}
%		\item Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. 
%	\end{itemize}
%\end{itemize}
%\item Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
%\end{itemize}
%\end{frame}
%
%\begin{frame}{Mean value theorem}
%\begin{thm}
%Let  $f\,:\,[a,b]\to \mathbb{R}$ be a continuous function on $[a,b]$, and differentiable on $(a,b)$ with $a<b$. Then there exists $c\in (a,b)$ such that
%\[
%f'(c) = \frac{f(b)-f(a)}{b-a}.
%\]
%\end{thm}
%\end{frame}
%\begin{frame}{Code}
%Source files can be downloaded from the github repository:
%\begin{center}
%	\url{https://github.com/vfeofanov/uga-beamer-template}
%\end{center}
%\end{frame}